# tmr_region.h File Reference

Mercury API - Region Definitions. More...

## Classes

struct | TMR_RegionList

## Typedefs

typedef enum TMR_Region | TMR_Region
typedef struct TMR_RegionList | TMR_RegionList

## Enumerations

enum

TMR_Region {
TMR_REGION_NONE = 0, TMR_REGION_NA = 1, TMR_REGION_EU = 2, TMR_REGION_KR = 3,
TMR_REGION_IN = 4, TMR_REGION_JP = 5, TMR_REGION_PRC = 6, TMR_REGION_EU2 = 7,
TMR_REGION_EU3 = 8, TMR_REGION_KR2 = 9, TMR_REGION_PRC2 = 10, TMR_REGION_AU = 11,
TMR_REGION_NZ = 12, TMR_REGION_NA2 = 13, TMR_REGION_NA3 = 14, TMR_REGION_IS = 15,
TMR_REGION_MY = 16, TMR_REGION_ID = 17, TMR_REGION_PH = 18, TMR_REGION_TW = 19,
TMR_REGION_MO = 20, TMR_REGION_RU = 21, TMR_REGION_SG = 22, TMR_REGION_OPEN = 0xFF
}

## Detailed Description

Mercury API - Region Definitions.

Author:
  Brian Fiegel

Date:
  4/18/2009

## Typedef Documentation

typedef enum TMR_Region TMR_Region

RFID regulatory regions

typedef struct TMR_RegionList TMR_RegionList

A list of TMR_Region values

## Enumeration Type Documentation

enum TMR_Region

RFID regulatory regions

Enumerator:

  TMR_REGION_NONE | Unspecified region
  TMR_REGION_NA | North America
  TMR_REGION_EU | European Union
  TMR_REGION_KR | Korea
  TMR_REGION_IN | India
  TMR_REGION_JP | Japan
  TMR_REGION_PRC | People's Republic of China
  TMR_REGION_EU2 | European Union 2
  TMR_REGION_EU3 | European Union 3
  TMR_REGION_KR2 | Korea 2
  TMR_REGION_PRC2 | People's Republic of China(840MHZ)
  TMR_REGION_AU | Australia
  TMR_REGION_NZ | New Zealand !!EXPERIMENTAL!!
  TMR_REGION_NA2 | Reduced FCC region
  TMR_REGION_NA3 | 5MHZ FCC band
  TMR_REGION_IS | Israel
  TMR_REGION_MY | Malaysia
  TMR_REGION_ID | Indonesia
  TMR_REGION_PH | Philippines
  TMR_REGION_TW | Taiwan
  TMR_REGION_MO | Macau
  TMR_REGION_RU | Russia
  TMR_REGION_SG | Singapore
  TMR_REGION_OPEN | Open